> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Refunds of an Intent

> Retrieve a list of refunds for a specific payment intent



## OpenAPI

````yaml GET /payments/refunds/{intentId}
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /payments/refunds/{intentId}:
    get:
      description: Retrieve a list of refunds for a specific payment intent
      parameters:
        - name: intentId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the payment intent
          example: in_fooBOwYsaK50AEfK
      responses:
        '200':
          description: Successful response with list of refunds
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-refunds-response'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    get-refunds-response:
      type: array
      items:
        $ref: '#/components/schemas/refund-response'
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
    refund-response:
      type: object
      properties:
        refundId:
          type: string
          description: Unique identifier of the refund
          example: rf_fooBOwYsaK50AEaJ
        intentId:
          type: string
          description: Unique identifier of the payment intent
          example: in_fooBOwYsaK50AEfK
        amount:
          $ref: '#/components/schemas/Amount'
        currency:
          $ref: '#/components/schemas/Currency'
        refundedAt:
          $ref: '#/components/schemas/RefundedAt'
        refundReferenceId:
          description: Your identifier for the refund
          type: string
          example: re123
      required:
        - refundId
        - intentId
        - amount
        - currency
        - refundedAt
    Amount:
      type: integer
      format: int64
      description: >-
        The amount in lowest count unit. e.g.: For USD 1, amount is 100
        representing 100 cents (The minimum amount should be greater than 1 USD)
      example: 2000
    Currency:
      type: string
      description: >-
        Three letter abbreviation of the currency. Refer [supported
        currencies](/get-started/currencies-supported)
      example: USD
    RefundedAt:
      type: integer
      format: int64
      description: Epoch timestamp in milliseconds of when the refund was processed
      example: 1727340330123
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````